package checkers.regex.quals;

import java.lang.annotation.Target;

import checkers.quals.InvisibleQualifier;
import checkers.quals.SubtypeOf;
import checkers.quals.TypeQualifier;

/**
 * Represents the bottom of the Regex qualifier hierarchy. This is used to make
 * the null literal a subtype of all Regex annotations.
 * <p>
 *
 * This annotation may not be written in source code; it is an
 * implementation detail of the checker.
 */
@TypeQualifier
@InvisibleQualifier
@SubtypeOf({Regex.class, PartialRegex.class})
@Target({}) // empty target prevents programmers from writing this in a program
public @interface RegexBottom {}
